/**
   @file     bpm_units.h
   @ingroup  general
   @brief    Physical unit definitions for libbpm
*/

#ifndef BPMUNITS_H__
#define BPMUNITS_H__

/* -----------------------------------------------------------------------------
// includes
// -------------------------------------------------------------------------- */


/* -----------------------------------------------------------------------------
// macro definitions
// -------------------------------------------------------------------------- */
#define  Hz 1.0E-6
#define kHz 1.0E-3
#define MHz 1.0E+0
#define GHz 1.0E+3

#define  sec 1.0E+6
#define msec 1.0E+3
#define usec 1.0E+0
#define nsec 1.0E-3

#define  eV 1.0E-6
#define keV 1.0E-3
#define MeV 1.0E+0
#define GeV 1.0E+3

#define  rad 1.0E+6
#define mrad 1.0E+3
#define urad 1.0E+0
#define nrad 1.0E-3

#define mC 1.0E+6
#define uC 1.0E+3
#define nC 1.0E+0
#define pC 1.0E-3

#define meter  1.0E+6
#define mmeter 1.0E+3
#define umeter 1.0E+0
#define nmeter 1.0E-3

#define Volt  1.0E+0
#define mVolt 1.0E-3
#define nVolt 1.0E-6


/* -----------------------------------------------------------------------------
// typedefs, enums and other declarations
// -------------------------------------------------------------------------- */


/* -----------------------------------------------------------------------------
// function prototypes and declarations
// -------------------------------------------------------------------------- */


#endif /* #ifndef BPMUNITS_H_LOADED */
/* ================================ end of file ============================= */
