/**
   @file
   @ingroup alloc
*/
#include <bpm/bpm_messages.h>
#include <bpm/bpm_alloc.h>

double **alloc_complex_wave_double( int ns ) {
  
  int i;
  static double **w;

  w = (double**) calloc( ns, sizeof(double*) );
  if ( ! w ) {
    bpm_error( "Unable to allocate memory in alloc_complex_wave_double(...)",
	       __FILE__, __LINE__ );
    return NULL;
  }

  for ( i = 0; i<ns; i++ ) { 
    w[i] = (double*) calloc( 2, sizeof(double) );
    if ( ! w[i] ) {
      bpm_error( "Unable to allocate memory in alloc_complex_wave_double(...)",
		 __FILE__, __LINE__ );
      return NULL;
    }
  }

  return w;
}

// ------------------------------------------------------

void free_complex_wave_double( double **w, int ns ) {

  int i;

  if ( ! w ) return;

  for ( i=0; i< ns; i++ ) {
    if ( w[i] ) free( w[i] );
  }

  free( w );
  return;
}
