/**
   @file
   @ingroup calib
*/
#include <bpm/bpm_messages.h>
#include <bpm/bpm_calibration.h>

int save_calibration( char *fname, bpmconf_t *bpm, bpmcalib_t *cal, int num_bpms ) {

  if ( ! cal || ! fname ) {
    bpm_error( "Invalid pointer arguments in calibrate(...)",
               __FILE__, __LINE__ );
    return BPM_FAILURE;
  }

  int i;

  // Loop over the calibration and store it
  FILE *f = fopen( fname, "w" );
  if ( ! f ) {
    char buf[255];
    printf("Unable to save calibration \"%s\" in save_calibration(...)", fname );
    bpm_error( buf, __FILE__, __LINE__ );
    return BPM_FAILURE;
  }

  for (i = 0; i < num_bpms; i++) {
    fprintf( f, "%s %d %f %f %f %f %f %f %f %f\n", bpm[i].name, i, cal[i].freq, 
	     cal[i].tdecay, cal[i].ddcfiltBW, cal[i].ddcepsFilt, cal[i].t0Offset, 
	     cal[i].IQphase, cal[i].posscale, cal[i].slopescale );
  }


  return BPM_SUCCESS;
}


