/**
   @file
   @ingroup processing
*/
#include <stdio.h>
#include <stdlib.h>

#include <bpm/bpm_messages.h>
#include <bpm/bpm_process.h>

/*
  Add a single number to all waveform values
  
  @param *wf  the waveform
  @param  ns  the number of samples
  @param  scalar to add to all points in waveform
  
  @return BPM_SUCCESS upon success, BPM_FAILURE upon failure
*/
int add_scalar_waveform( double *wf, int ns, double add) {

  int i;
  
  if ( ! wf ) {
    bpm_error( "Invalid waveform pointers in add_scalar_waveform(...)",
	       __FILE__, __LINE__ );
    return BPM_FAILURE;
  }


  for( i=0; i<ns; i++ ) { 
    wf[i] = wf[i] + add;
  }

  return BPM_SUCCESS;
}


