/**
   @file
   @ingroup processing
*/
#include <stdio.h>
#include <stdlib.h>

#include <bpm/bpm_messages.h>
#include <bpm/bpm_process.h>

/**
   Copies wf_src to wf_dst
   
   @param  wf_dst destination waveform
   @param  wf_src source waveform
   @param  ns     the number of samples
   
   @return BPM_SUCCESS upon success, BPM_FAILURE upon failure
*/
int copy_waveform( double *wf_dst, double *wf_src, int ns) {

  int i;
  
  if ( ! wf_src  || ! wf_dst ) {
    bpm_error( "Invalid waveform pointers in copy_waveform(...)",
	       __FILE__, __LINE__ );
    return BPM_FAILURE;
  }


  for( i=0; i<ns; i++ ) { 
    wf_dst[i] = wf_src[i];
  }

  return BPM_SUCCESS;
}


