/**
   @file
   @ingroup processing
*/
#include <stdio.h>
#include <stdlib.h>

#include <bpm/bpm_messages.h>
#include <bpm/bpm_process.h>

/**
   Multiply all values by a factor mult
   
   @param *wf  the waveform
   @param  ns  the number of samples
   @param  mult the factor to multiply all points in waveform
   
   @return BPM_SUCCESS upon success, BPM_FAILURE upon failure
*/
int mult_scalar_waveform( double *wf, int ns, double mult) {

  int i;
  
  if ( ! wf ) {
    bpm_error( "Invalid waveform pointers in add_scalar_waveform(...)",
	       __FILE__, __LINE__ );
    return BPM_FAILURE;
  }


  for( i=0; i<ns; i++ ) { 
    wf[i] *= mult;
  }

  return BPM_SUCCESS;
}


