/**
  @file
  @ingroup processing
*/
#include <stdio.h>
#include <stdlib.h>

#include <bpm/bpm_messages.h>
#include <bpm/bpm_process.h>

/**
   Multiply all values by a factor mult
   
   @param *wf1  the waveform1, on return wf1 = wf1*wf2 
   @param *wf2  the waveform2
   @param  ns   the number of samples
   
   @return BPM_SUCCESS upon success, BPM_FAILURE upon failure
*/
int mult_waveform( double *wf1, double *wf2, int ns) {

  int i;
  
  if ( ! wf1 || ! wf2 ) {
    bpm_error( "Invalid waveform pointers in mult_waveform(...)",
	       __FILE__, __LINE__ );
    return BPM_FAILURE;
  }
  
  for( i=0; i<ns; i++ ) { 
    wf1[i] *= wf2[i];
  }

  return BPM_SUCCESS;
}


