/**
   @file
   @ingroup processing
*/
#include <stdio.h>
#include <bpm/bpm_units.h>
#include <bpm/bpm_messages.h>
#include <bpm/bpm_process.h>

/**
   Processes a monopole waveform according to the bitpattern given in mode.
   Is basically a wrapper for process_waveform() !
   
   @param bpm  the bpm configuration structure
   @param cal  the current valid calibration for the bpm
   @param sig  the waveform structure
   @param proc the processed data structure
   @param trig a pointer to the structure with processed trigger info for that waveform
   @param mode a bitpattern encoding what exactly to process

   @return BPM_SUCCESS upon success, BPM_FAILURE upon failure
*/
int process_monopole( bpmconf_t *bpm, bpmcalib_t *cal, bpmsignal_t *sig, bpmproc_t *proc,
		      bpmproc_t *trig, unsigned int mode ) {

  return process_waveform( monopole, bpm, cal, sig, proc, trig, mode );
}

// end of file
