/**
   @file
   @ingroup rf
*/
#include <bpm/bpm_interface.h>
#include <bpm/bpm_rf.h>

/**
  Mixes the RF and the LO to produce the IF

  @returns BPM_SUCCESS upon success, BPM_FAILURE upon failure
*/
int rf_mixer( double *RF_Re, double *RF_Im, double **LO, double *IF ) {


  if ( ! RF_Re || ! RF_Im || ! LO || ! IF ) {
    bpm_error( "Invalid pointer arguments in rf_mixer(...)",
	       __FILE__, __LINE__ );
    return BPM_FAILURE;
  }

  int i;

  // mix the waveforms
  for( i = 0; i < rf_nsamples; i++ ) {

    IF[i] = RF_Re[i] * LO[i][Re] + RF_Im[i] * LO[i][Im];

  }

  return BPM_SUCCESS;
}
// end of file
