/**
   @file
   @ingroup rf
*/
#include <bpm/bpm_interface.h>
#include <bpm/bpm_rf.h>
#include <bpm/bpm_units.h>

/**
   Rectifies the given waveform
   
   @param IF the complex waveform to rectify
   
   @returns BPM_SUCCESS upon success, BPM_FAILURE upon failure
*/
int rf_rectify( double **IF ) {

  
  if ( ! IF ) {
    bpm_error( "Invalid IF pointer in rf_rectify(...)",
	       __FILE__, __LINE__ );
    return BPM_FAILURE;
  }

  int i;

  // Rectify
  for ( i = 0; i < rf_nsamples; i++ ) {

    if ( IF[i][Re] < 0 ) IF[i][Re] *= -1.;

  }  return BPM_SUCCESS;
}
// end of file
