/**
   @file
   @ingroup sim
*/

#include <bpm/bpm_messages.h>
#include <bpm/bpm_simulation.h>
#include <bpm/bpm_rf.h>
#include <math.h>

/**
   Generates a step to excite the resonator

   @param ttrig  the trigger time
   @param RF      waveform 

   @return BPM_SUCCES upon succes, BPM_FAILURE upon failure
*/
int add_excitation( double ttrig, double *RF ) {

  double curr_time = 0;
  int i = 0;

  if ( ! RF ) {
    bpm_error( "Invalid pointer argument in add_wave(...)",
               __FILE__, __LINE__ );
    return BPM_FAILURE;
  }

  while (curr_time < ttrig) {
   
    i++;
    curr_time = i / rf_samplefreq;

  }

  RF[i] += 1.;

  return BPM_SUCCESS;
}

// end of file

