/**
   @file
*/
#include <bpm/bpm_messages.h>
#include <bpm/bpm_simulation.h>
#include <bpm/bpm_rf.h>

int add_waveforms( double *RF, double *RFadd, double factor ) {
  /**
     @ingroup simulation
    
     adds waveform 2 to waveform 1
  */

  int i;

  if ( ! RF || ! RFadd) {
    bpm_error( "Invalid pointer argument in add_wave(...)", 
	       __FILE__, __LINE__ );
    return BPM_FAILURE;
  }

  for ( i = 0; i < rf_nsamples; i++ ) {

      RF[i] += factor*RFadd[i];
  }
  
  return BPM_SUCCESS;
}

// end of file
