/**
   @file
   @ingroup sim
*/
#include <bpm/bpm_messages.h>
#include <bpm/bpm_simulation.h>
#include <bpm/bpm_rf.h>

/**
   Returns the amplitudes of the complex array
*/
int get_amplitude( double **RF, double *wf ) {

  int i;

  if ( ! RF ) {
    bpm_error( "Invalid pointer argument in reset_complex_wave(...)", 
	       __FILE__, __LINE__ );
    return BPM_FAILURE;
  }

  for ( i = 0; i < rf_nsamples; i++ ) {
    wf[i] = sqrt(RF[i][Re]*RF[i][Re]+RF[i][Im]*RF[i][Im]);
  }
  
  return BPM_SUCCESS;
}

// end of file
