/**
   @file
   @ingroup sim
*/
#include <bpm/bpm_messages.h>
#include <bpm/bpm_simulation.h>
#include <bpm/bpm_rf.h>

/**
   Commbines amplitude and phase into a complex array
*/
int get_complex_from_AmpPhi( double *Amp, double *Phi, double **RF ) {
  
  int i;

  if ( ! Amp || ! Phi ) {
    bpm_error( "Invalid pointer argument in reset_complex_wave(...)", 
	       __FILE__, __LINE__ );
    return BPM_FAILURE;
  }

  for ( i = 0; i < rf_nsamples; i++ ) {
    RF[i][Im]= Amp[i]*sin(Phi[i]); 
    RF[i][Re]= Amp[i]*cos(Phi[i]);
  }
  
  return BPM_SUCCESS;
}

// end of file
