/**
   @file
   @ingroup sim
*/
#include <bpm/bpm_messages.h>
#include <bpm/bpm_simulation.h>
#include <bpm/bpm_rf.h>

/**
   Commbines real and imaginary parts into a complex array
*/
int get_complex_from_ReIm( double *RF_Re, double *RF_Im, double **RF ) {

  int i;

  if ( ! RF_Re || ! RF_Im ) {
    bpm_error( "Invalid pointer argument in reset_complex_wave(...)", 
	       __FILE__, __LINE__ );
    return BPM_FAILURE;
  }

  for ( i = 0; i < rf_nsamples; i++ ) {
    RF[i][Im]= RF_Im[i]; 
    RF[i][Re]= RF_Re[i];
  }
  
  return BPM_SUCCESS;
}

// end of file
