/**
   @file
   @ingroup sim
*/
#include <bpm/bpm_messages.h>
#include <bpm/bpm_simulation.h>

/**
   Calculate the response of a monopole signal given an incoming bunch
   
   NOTE: Still have phase questions!
   
   @param bunchcharge The charge of the bunch (in nC)
   @param chargesens The charge sensitivty of the BPM
   @param arrivaltime The beam arrival time
   @param cavityfreq The frequency of the cavity
   @param amp the amplitude of the waveform at the arrival time
   @param phase the phase of the waveform at the arrival time
*/
int get_monopole_response( double bunchcharge, double chargesens,
			   double arrivaltime, double cavityfreq,
			   double *amp, double *phase ) {

  *amp = bunchcharge * chargesens;
  *phase = 0;
  
  return BPM_SUCCESS;
}

// end of file
