/**
   @file
   @ingroup sim
*/
#include <bpm/bpm_messages.h>
#include <bpm/bpm_simulation.h>
#include <bpm/bpm_rf.h>

/**
   Returns the real part of the array elements
*/
int get_real_part( double **RF, double *wf ) {

  int i;

  if ( ! RF ) {
    bpm_error( "Invalid pointer argument in reset_complex_wave(...)", 
	       __FILE__, __LINE__ );
    return BPM_FAILURE;
  }

  for ( i = 0; i < rf_nsamples; i++ ) {
    wf[i] = RF[i][Re];
  }
  
  return BPM_SUCCESS;
}

// end of file
