/**
   @file
   @ingroup sim
*/
#include <bpm/bpm_messages.h>
#include <bpm/bpm_simulation.h>
#include <bpm/bpm_rf.h>

/**
   Resets the array elements of RF to 0
*/
int reset_simple_wave( int ns, double *wf ) {

  int i;

  if ( ! wf ) {
    bpm_error( "Invalid pointer argument in reset_simple_wave(...)", 
	       __FILE__, __LINE__ );
    return BPM_FAILURE;
  }

  for ( i = 0; i < ns; i++ ) {
    wf[i] = 0;
  }
  
  return BPM_SUCCESS;
}

// end of file
